%global modname sanction

Name:               python-sanction
Version:            0.1.4
Release:            1%{?dist}
Summary:            A simple, lightweight OAuth2 client
Group:              Development/Libraries
License:            MIT
URL:                http://pypi.python.org/pypi/sanction
Source0:            http://pypi.python.org/packages/source/s/%{modname}/%{modname}-%{version}.zip

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-nose

%description
python-sanction is a lightweight, dead simple client implementation of
the OAuth2 protocol.

- Variations on OAuth2 client implementation range from a few hundred LOC
  to thousands. In a Pythonic world, there's absolutely no need for this when
  simply dealing with the client side of the spec. Currently, sanction sits
  at a whopping 65 LOC, one class. This makes the library tremendously easy
  to grok.

- Most providers have varying levels of diversion from the official spec.
  The goal with this library is to either handle these diversions natively,
  or expose a method to allow client code to deal with it efficiently and
  effectively.

- Three of the four OAuth2 flows should be supported by this library.
  Currently, only authorization code and client credential flows have been
  tested due to lack of other (known) implementations.

sanction has been tested with the following OAuth2 providers:

* Facebook (include the test API)
* Google
* Foursquare
* bitly
* GitHub
* StackExchange
* Instagram
* DeviantArt

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%check
PYTHONPATH=$(pwd) nosetests

%files
%doc README.rst LICENSE.txt
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}*

%changelog
* Mon Feb 04 2013 Ralph Bean <rbean@redhat.com> - 0.1.4-1
- Initial packaging for Fedora
